/* FichothequeLib_API - Copyright (c) 2016-2023 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.exportation.table;

import net.mapeadores.util.annotation.Nullable;
import net.mapeadores.util.attr.Attributes;
import net.mapeadores.util.localisation.Langs;
import net.mapeadores.util.text.Labels;


/**
 *
 * @author Vincent Calame
 */
public interface TableExportDef {

    public String getName();

    public Labels getTitleLabels();

    public Attributes getAttributes();

    /**
     * Peut être nul.
     *
     * @return
     */
    @Nullable
    public String getLangMode();

    public Langs getLangs();

}
